curl --request POST \
--url https://toapis.com/v1/videos/video_abc123def456/remix \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"model": "grok-video-1.0",
"prompt": "Add a puppy playing in the scene",
"aspect_ratio": "16:9"
}'
import requests
video_id = "video_abc123def456"
response = requests.post(
f"https://toapis.com/v1/videos/{video_id}/remix",
headers={
"Authorization": "Bearer your-ToAPIs-key",
"Content-Type": "application/json"
},
json={
"model": "grok-video-1.0",
"prompt": "Add a puppy playing in the scene",
"aspect_ratio": "16:9"
}
)
task = response.json()
print(f"Task ID: {task['id']}")
print(f"Status: {task['status']}")
const videoId = 'video_abc123def456';
const response = await fetch(`https://toapis.com/v1/videos/${videoId}/remix`, {
method: 'POST',
headers: {
'Authorization': 'Bearer your-ToAPIs-key',
'Content-Type': 'application/json'
},
body: JSON.stringify({
model: 'grok-video-1.0',
prompt: 'Add a puppy playing in the scene',
aspect_ratio: '16:9'
})
});
const task = await response.json();
console.log(`Task ID: ${task.id}`);
console.log(`Status: ${task.status}`);
{
"id": "video_remix_abc123",
"object": "generation.task",
"model": "grok-video-1.0",
"status": "queued",
"progress": 0,
"created_at": 1768380224,
"metadata": {}
}
Grok Video
Grok Video Remix
Edit and modify generated Grok videos
POST
/
v1
/
videos
/
{video_id}
/
remix
curl --request POST \
--url https://toapis.com/v1/videos/video_abc123def456/remix \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"model": "grok-video-1.0",
"prompt": "Add a puppy playing in the scene",
"aspect_ratio": "16:9"
}'
import requests
video_id = "video_abc123def456"
response = requests.post(
f"https://toapis.com/v1/videos/{video_id}/remix",
headers={
"Authorization": "Bearer your-ToAPIs-key",
"Content-Type": "application/json"
},
json={
"model": "grok-video-1.0",
"prompt": "Add a puppy playing in the scene",
"aspect_ratio": "16:9"
}
)
task = response.json()
print(f"Task ID: {task['id']}")
print(f"Status: {task['status']}")
const videoId = 'video_abc123def456';
const response = await fetch(`https://toapis.com/v1/videos/${videoId}/remix`, {
method: 'POST',
headers: {
'Authorization': 'Bearer your-ToAPIs-key',
'Content-Type': 'application/json'
},
body: JSON.stringify({
model: 'grok-video-1.0',
prompt: 'Add a puppy playing in the scene',
aspect_ratio: '16:9'
})
});
const task = await response.json();
console.log(`Task ID: ${task.id}`);
console.log(`Status: ${task.status}`);
{
"id": "video_remix_abc123",
"object": "generation.task",
"model": "grok-video-1.0",
"status": "queued",
"progress": 0,
"created_at": 1768380224,
"metadata": {}
}
Note for users in mainland China: Please use
https://toapis.cn as the API endpoint (Base URL). Replace https://toapis.com with https://toapis.cn in the examples in this document.- Grok Video remix feature
- Create variations based on existing videos
- Async task management, query results via task ID
Path Parameters
string
required
Original video task IDThis is the task ID returned from a previous video generation request
Authorizations
string
required
All API requests require Bearer Token authenticationGet API Key: Visit the API Key Management Page to obtain your API KeyAdd to request headers:
Authorization: Bearer YOUR_API_KEY
Body
string
default:"grok-video-1.0"
required
Video remix model nameExample:
"grok-video-1.0"string
required
Remix instruction description
string
Video size
string
Video aspect ratioSupported formats:
16:9- Landscape9:16- Portrait
Response
string
Unique task identifier for querying task status
string
Object type, always
generation.taskstring
Model name used
string
Task status
queued- Waiting to be processedin_progress- Processingcompleted- Successfully completedfailed- Failed
integer
Task progress percentage (0-100)
integer
Task creation timestamp (Unix timestamp)
object
Task metadata
curl --request POST \
--url https://toapis.com/v1/videos/video_abc123def456/remix \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{
"model": "grok-video-1.0",
"prompt": "Add a puppy playing in the scene",
"aspect_ratio": "16:9"
}'
import requests
video_id = "video_abc123def456"
response = requests.post(
f"https://toapis.com/v1/videos/{video_id}/remix",
headers={
"Authorization": "Bearer your-ToAPIs-key",
"Content-Type": "application/json"
},
json={
"model": "grok-video-1.0",
"prompt": "Add a puppy playing in the scene",
"aspect_ratio": "16:9"
}
)
task = response.json()
print(f"Task ID: {task['id']}")
print(f"Status: {task['status']}")
const videoId = 'video_abc123def456';
const response = await fetch(`https://toapis.com/v1/videos/${videoId}/remix`, {
method: 'POST',
headers: {
'Authorization': 'Bearer your-ToAPIs-key',
'Content-Type': 'application/json'
},
body: JSON.stringify({
model: 'grok-video-1.0',
prompt: 'Add a puppy playing in the scene',
aspect_ratio: '16:9'
})
});
const task = await response.json();
console.log(`Task ID: ${task.id}`);
console.log(`Status: ${task.status}`);
{
"id": "video_remix_abc123",
"object": "generation.task",
"model": "grok-video-1.0",
"status": "queued",
"progress": 0,
"created_at": 1768380224,
"metadata": {}
}